<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemainingRestingTimes_V2 StructType
 * @subpackage Structs
 */
class RemainingRestingTimes_V2 extends RemainingRestingTimes
{
    /**
     * The Work_Week_End
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $Work_Week_End;
    /**
     * The Work_Week
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RemainingTimeItemMax
     */
    public $Work_Week;
    /**
     * Constructor method for RemainingRestingTimes_V2
     * @uses RemainingRestingTimes_V2::setWork_Week_End()
     * @uses RemainingRestingTimes_V2::setWork_Week()
     * @param string $work_Week_End
     * @param \StructType\RemainingTimeItemMax $work_Week
     */
    public function __construct($work_Week_End = null, \StructType\RemainingTimeItemMax $work_Week = null)
    {
        $this
            ->setWork_Week_End($work_Week_End)
            ->setWork_Week($work_Week);
    }
    /**
     * Get Work_Week_End value
     * @return string
     */
    public function getWork_Week_End()
    {
        return $this->Work_Week_End;
    }
    /**
     * Set Work_Week_End value
     * @param string $work_Week_End
     * @return \StructType\RemainingRestingTimes_V2
     */
    public function setWork_Week_End($work_Week_End = null)
    {
        // validation for constraint: string
        if (!is_null($work_Week_End) && !is_string($work_Week_End)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($work_Week_End, true), gettype($work_Week_End)), __LINE__);
        }
        $this->Work_Week_End = $work_Week_End;
        return $this;
    }
    /**
     * Get Work_Week value
     * @return \StructType\RemainingTimeItemMax|null
     */
    public function getWork_Week()
    {
        return $this->Work_Week;
    }
    /**
     * Set Work_Week value
     * @param \StructType\RemainingTimeItemMax $work_Week
     * @return \StructType\RemainingRestingTimes_V2
     */
    public function setWork_Week(\StructType\RemainingTimeItemMax $work_Week = null)
    {
        $this->Work_Week = $work_Week;
        return $this;
    }
}
